package marketing.heyday.hartmann.fotodocumentation.rest;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.io.IOException;

import org.apache.http.HttpResponse;
import org.apache.http.client.fluent.Request;
import org.junit.jupiter.api.Test;

/**
 * 
 * <p>Copyright: Copyright (c) 2024</p>
 * <p>Company: heyday Marketing GmbH</p>
 * @author <a href="mailto:p.verboom@heyday.marketing">Patrick Verboom</a>
 * @version 1.0
 * 
 * created: 13 Nov 2024
 */

public class MonitoringResourceTest extends AbstractRestTest {

	@Test
	public void check() throws IOException {
		String path = deploymentURL + "api/monitoring/check/hello";

		Request request = Request.Get(path).addHeader("Accept", TEXT_PLAIN);

		HttpResponse httpResponse = executeRequest(request);
		int code = httpResponse.getStatusLine().getStatusCode();
		assertEquals(200, code);
	}
}

